Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Interface MBeanMetaData

All Superinterfaces:
  MBeanInterfaceMetaData

All Known Implementing Classes:
  MBeanMetaDataSupport, DynamicMBeanMetaDataSupport

public interface MBeanMetaData
extends MBeanInterfaceMetaData

Author:
  Young Yang

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attribute)`
`AttributeList` | `getAttributes(java.lang.String[] attributes)`
`java.lang.ClassLoader` | `getClassLoader()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getInterfaceClassName()`
`MBeanInfo` | `getMBeanInfo()`
`java.lang.Object` | `getMBeanObject()`
`ExtendedObjectInstance` | `getObjectInstance()`
`ObjectName` | `getObjectName()`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signatures)`
`boolean` | `isDynamic()`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributes)`
`void` | `setObjectName(ObjectName name)`

Methods inherited from interface org.huihoo.jfox.jmx.MBeanInterfaceMetaData
`getAttributeInfo, getAttributes, getInterfaceClass, getOperations`

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getClassName

    public java.lang.String getClassName()

### getObjectName

    public ObjectName getObjectName()

### setObjectName

    public void setObjectName(ObjectName name)

### getObjectInstance

    public ExtendedObjectInstance getObjectInstance()

### getMBeanObject

    public java.lang.Object getMBeanObject()

### isDynamic

    public boolean isDynamic()

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws MBeanException,
                                         AttributeNotFoundException,
                                         ReflectionException

### getAttributes

    public AttributeList getAttributes(java.lang.String[] attributes)
                                throws MBeanException,
                                       AttributeNotFoundException,
                                       ReflectionException

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)
                                throws AttributeNotFoundException,
                                       InvalidAttributeValueException,
                                       MBeanException,
                                       ReflectionException

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signatures)
                            throws MBeanException,
                                   ReflectionException

### getInterfaceClassName

    public java.lang.String getInterfaceClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD